Package com.mockobjects.io

# Class MockIOFactory

java.lang.Object
com.mockobjects.MockObject
com.mockobjects.io.MockIOFactory

All Implemented Interfaces:
  `IOFactory`, `Verifiable`

public class MockIOFactory extends MockObject implements IOFactory

## Constructor Summary

Constructors
Constructor
Description
`MockIOFactory()`

## Method Summary

Modifier and Type
Method
Description
`File`
`createFile(String fileName)`
`InputStream`
`createInputStream(File aFile)`
`OutputStream`
`createOutputStream(File aFile)`
`void`
`setExpectedFileName(String fileName)`
`void`
`setupCreateFile(File file)`
`void`
`setupInputStream(File expectedFile, InputStream returnStream)`
`void`
`setupOutputStream(File expectedFile, OutputStream returnStream)`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockIOFactory

public MockIOFactory()

## Method Details

### setupInputStream

public void setupInputStream(File expectedFile, InputStream returnStream)

### createInputStream

public InputStream createInputStream(File aFile) throws FileNotFoundException

Specified by:
  `createInputStream` in interface `IOFactory`
Throws:
  `FileNotFoundException`

### setupOutputStream

public void setupOutputStream(File expectedFile, OutputStream returnStream)

### createOutputStream

public OutputStream createOutputStream(File aFile) throws FileNotFoundException

Specified by:
  `createOutputStream` in interface `IOFactory`
Throws:
  `FileNotFoundException`

### setupCreateFile

public void setupCreateFile(File file)

### setExpectedFileName

public void setExpectedFileName(String fileName)

### createFile

public File createFile(String fileName)

Specified by:
  `createFile` in interface `IOFactory`